package react.test.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import react.test.entity.Person;
import react.test.service.PersonService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/person")
public class PersonController {

    @Autowired
    private PersonService personService;

    @GetMapping("/getPersonById/{id}")
    public Person getPersonById(int id){
        return personService.getPersonById(id);
    }
    @GetMapping("/getAllPersonByPage")
    public List<Person> getAllPersonByPage(Map params){
        List<Person> users = personService.getAllPersonByPage(params);
        return users;
    }
    @PostMapping("/addPerson")
    public String addPerson(Person person){
        return personService.addPerson(person);
    }
    @PostMapping("/updatePerson")
    public String updatePerson(Person person){
        return personService.updatePerson(person);
    }
    @DeleteMapping("/deletePerson/{id}")
    public String deletePerson(int id){
        return personService.deletePerson(id);
    }

}
