package react.test.dao;
import org.apache.ibatis.annotations.Mapper;
import react.test.entity.Person;
import java.util.List;
import java.util.Map;

@Mapper
public interface PersonDao {
    /**
     * 根据id查询人员
     * @param id 人员编号
     * @return
     */
    Person getPersonById(int id);

    /**
     * 分页查询人员
     *@param params 查询条件
     * @return
     */
    List<Person> getAllPersonByPage(Map params);

    /**
     * 添加人员信息
     * @param person 人员实例
     * @return 成功操作的记录数目
     */
    String addPerson(Person person);

    /**
     * 修改人员信息
     * @param person 人员实例
     * @return 成功操作的记录数目
     */
    String updatePerson(Person person);

    /**
     * 删除人员信息
     * @param id 人员编号
     * @return 成功操作的记录数目
     */
    String deletePerson(int id);

}
